Crítica construtiva ao projecto Florikey

EyeMGod

EyeMGod

Member
Messages
1
My Satellite Setup
Mirage 1010E
My Location
Almada, Portugal
Boas,

já sei que o que vou escrever vai exasperar muitas pessoas e de certeza gerar algumas polémicas, isto se, ao contrário do meu último post, não fôr (quase) imediatamente eliminado por um Administrador.

Bem, mas eu continuo a acreditar na liberdade de expressão, bem como a liberdade de expressão neste fórum, por isso passo a expôr o meu ponto de vista.

Que saudades eu tenho da velhinha florikey (penso que versão 2) que:
. não necessitava de instalação, era só correr
. não necessitava de updates de .NET
. era tão rápida a arrancar!!!
. não fritava batatas, nem aspirava a casa, mas FAZIA o seu propósito (ia buscar as chaves :p)

Mas o que na realidade me traz a escrever este post efectivamente é o facto destes updates todos às versões Florikey que, na minha opinião, podem fazer os updates que quiserem e quem quiser uma aplicação que para além de "ir buscar as chaves" (e este é o ponto-chave) também frite batatas, aspire a casa e já agora faça o jantar (na próxima versão) que a instale.

Agora o que realmente não encaixa na minha cabeça é que as versões antigas deixem de funcionar e me OBRIGUEM (este é outro ponto-chave) a actualizar para uma aplicação que para além do propósito original ("ir buscar chaves", caso já não se lembrem) faz mais trinta coisas que eu realmente não necessito e que ainda por cima TEM de ser instalado (não basta copiar o executável para cima do antigo).

Porque é que (por ex.) não fazem a aplicação em Delphi ou em BC++ que não precisa de dll's nem actualizações de .NET (nem do .NET hehe), e se precisarem de chaves no registry criam-nas dentro da aplicação, nem é preciso um installshield nem um um microsoft installer, é um executável e mais nada, é só aquilo...

Espero que aceitem estas minhas críticas e que desta vez não me apaguem o post...

PS: Para quem lê sem ler, o resumo é: Não quero ser ORIGADO a actualizar uma aplicação que já faz o que eu quero. Deixem as versões antigas continuar a funcionar e quem quiser actualizar, actualiza.

Agora (como sempre), venha a chuva de replies dos cruzados defensores da Imaculada Florikey porque houve um infiél que ousou insultar a sua tão adorada "Deusa"...
 
I

iznougudpt

Regular Member
Messages
171
My Satellite Setup
Skystar 2
Ouralis Evo3
Neotion 1000
My Location
Portugal
EyeMGod said:
Boas,

já sei que o que vou escrever vai exasperar muitas pessoas e de certeza gerar algumas polémicas, isto se, ao contrário do meu último post, não fôr (quase) imediatamente eliminado por um Administrador.

Bem, mas eu continuo a acreditar na liberdade de expressão, bem como a liberdade de expressão neste fórum, por isso passo a expôr o meu ponto de vista.

Que saudades eu tenho da velhinha florikey (penso que versão 2) que:
. não necessitava de instalação, era só correr
. não necessitava de updates de .NET
. era tão rápida a arrancar!!!
. não fritava batatas, nem aspirava a casa, mas FAZIA o seu propósito (ia buscar as chaves :p)

Mas o que na realidade me traz a escrever este post efectivamente é o facto destes updates todos às versões Florikey que, na minha opinião, podem fazer os updates que quiserem e quem quiser uma aplicação que para além de "ir buscar as chaves" (e este é o ponto-chave) também frite batatas, aspire a casa e já agora faça o jantar (na próxima versão) que a instale.

Agora o que realmente não encaixa na minha cabeça é que as versões antigas deixem de funcionar e me OBRIGUEM (este é outro ponto-chave) a actualizar para uma aplicação que para além do propósito original ("ir buscar chaves", caso já não se lembrem) faz mais trinta coisas que eu realmente não necessito e que ainda por cima TEM de ser instalado (não basta copiar o executável para cima do antigo).

Porque é que (por ex.) não fazem a aplicação em Delphi ou em BC++ que não precisa de dll's nem actualizações de .NET (nem do .NET hehe), e se precisarem de chaves no registry criam-nas dentro da aplicação, nem é preciso um installshield nem um um microsoft installer, é um executável e mais nada, é só aquilo...

Espero que aceitem estas minhas críticas e que desta vez não me apaguem o post...

PS: Para quem lê sem ler, o resumo é: Não quero ser ORIGADO a actualizar uma aplicação que já faz o que eu quero. Deixem as versões antigas continuar a funcionar e quem quiser actualizar, actualiza.

Agora (como sempre), venha a chuva de replies dos cruzados defensores da Imaculada Florikey porque houve um infiél que ousou insultar a sua tão adorada "Deusa"...

Críticas construtivas são sempre bem vindas, pelo menos na minha opinião.

Quanto ao facto de a Florikey ser cada vez mais "pesada" e "lenta" todos nós temos de concordar com isso, não há volta a dar, mas para por isso a "tirar cafés" teve de ser.

E estamos de tal modo de acordo que já falamos várias vezes numa Florikey Lite, exactamente como pretendes, sem dlls, sem instalação e que mostre as keys rapidamente. O problema é que o dia só tem 24 horas e ainda não conseguimos arranjar alguem para o fazer. Como andamos a mudar os algoritmos a nível dos servidores também não ia adiantar muito avançar antes. Vamos a ver se agora conseguimos fazer algo.

Quanto à V4.4, ela efectivamente não precisa do instalador, apenas o pomos para facilitar o trabalho. Podes muito bem instalar num PC, copiar a pasta para outro PC que ele vai funcionar 5 estrelas. Se for para ser "portable", podes mesmo eliminar as musicas e a pasta loaders para ficar mais pequeno.

Quanto às versões anteriores deixarem de funcionar, infelizmente para já não podemos fazer nada contra isso, não é porque queremos, mas porque o sistema de protecção assim o obriga...

Apesar de ser pelo sistema de protecção, tenho de confessar que obrigar as pessoas a usar sempre a ultima versao tem as suas vantagens, porque sei sempre que versao têm, caso contrário é uma dor de cabeça ver bugs que já foram resolvidos voltarem a emergir...


Penso que assim já ficam mais ilucidados sobre a Florikey e o seu funcionamento.
 
Top